/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.classifiers.data;

/**
 * This maps a DataPoint to a label for training purposes.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class LabeledDataPoint {

    private boolean label;
    private DataPoint data;

    public LabeledDataPoint(boolean label, DataPoint data) {
        this.label = label;
        this.data = data;
    }

    public void setData(DataPoint data) {
        this.data = data;
    }

    public void setLabel(boolean label) {
        this.label = label;
    }

    public DataPoint getData() {
        return data;
    }

    public boolean getLabel() {
        return label;
    }

    @Override
    public String toString() {
        return "{" + data + " : " + label + "}";
    }

}
